qoption.h File Reference

Go to the source code of this file.

## Enumerations

enum | QuviOption { QUVI_OPTION_CALLBACK_STATUS , QUVI_OPTION_CALLBACK_STATUS_USERDATA , QUVI_OPTION_ALLOW_COOKIES , QUVI_OPTION_USER_AGENT , QUVI_OPTION_AUTOPROXY }
| Options to be used with quvi_set. More...

## Enumeration Type Documentation

## QuviOption

enum QuviOption

Options to be used with quvi_set.

Enumerator
QUVI_OPTION_CALLBACK_STATUS | Default: None
QUVI_OPTION_CALLBACK_STATUS_USERDATA | Default: None

QUVI_OPTION_ALLOW_COOKIES

Enable cookies for libcurl handle. Default: QUVI_FALSE. When enabled (QUVI_TRUE), libcurl will parse the received cookies and use them in the subsequent HTTP requests.

Note
  When disabled, quvi.http.cookie (of the quvi-object(7)) is also disabled

See also
  http://curl.haxx.se/libcurl/c/curl_easy_setopt.html#CURLOPTCOOKIEFILE
  http://curl.haxx.se/libcurl/c/curl_easy_setopt.html#CURLOPTCOOKIELIST
  http://curl.haxx.se/libcurl/c/curl_easy_setopt.html#CURLOPTCOOKIEJAR

QUVI_OPTION_USER_AGENT

Identify as the user-agent to the HTTP servers. Default: "Mozilla/5.0".

Note
  libquvi scripts may override this setting at any time. The original value set using this option will be restored each time the network accessing functions are called, e.g. quvi.http.fetch

See also
  http://curl.haxx.se/libcurl/c/curl_easy_setopt.html#CURLOPTUSERAGENT

QUVI_OPTION_AUTOPROXY

Autodetect and set the proxy for new connections. Default: QUVI_FALSE. When enabled (QUVI_TRUE), libquvi uses libproxy to detect the system proxy settings and sets the CURLOPT_PROXY to the libproxy returned value. This is done for each new connection.

See also
  http://curl.haxx.se/libcurl/c/curl_easy_setopt.html#CURLOPTPROXY
  http://libproxy.googlecode.com/